using Microsoft.Xna.Framework;
using Igdc.Fonts;

namespace Igdc.Scenes
{
    public partial class StartScene
    {
        protected override void Draw(SceneIterationArgument e)
        {
            e.Device.Clear(Palette.Dark);
            e.Batch.DrawText(_font, 
                SpecialText, 
                new Vector2(_specialX, _specialY), 
                new Color(
                    (byte)(Palette.Light.R * _opacity),
                    (byte)(Palette.Light.G * _opacity),
                    (byte)(Palette.Light.B * _opacity)));
        }
    }
}